/***************************************************************************
                          colortableitem.cpp  -  description
                             -------------------
    begin                : Thu Feb 20 2003
    copyright            : (C) 2003 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "colortableitem.h"

ColorTableItem::ColorTableItem(QTable *t, EditType et, QColor c, const QString txt)
    : QTableItem( t, et, txt )
{
    color = c;
}
ColorTableItem::~ColorTableItem()
{

}

void ColorTableItem::paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected )
{
    QColorGroup g(cg);
    g.setColor( QColorGroup::Base, color );
    QTableItem::paint(p,g,cr,selected);
}
