/***************************************************************************
                          settings-windowtoggles.h  -  description
                             -------------------
    begin                : Thu Aug 22 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGS_WINDOWTOGGLES_H
#define SETTINGS_WINDOWTOGGLES_H

//WARNING WINDOWS
void settings::ToggleWarning1( int num )
{
	Current->Size[0] = num;
	Saved->Size[0] = num;
	if ( num == 0 )
	{
     	R->Window1->hide();
		if ( Window1CheckBox->isChecked() )
		{
			Window1CheckBox->toggle();
		}
	}
	else
	{
     	R->Window1->show();
		R->Window1->raise();
		if ( !Window1CheckBox->isChecked() )
		{
			Window1CheckBox->toggle();
		}
	}	
}

void settings::ToggleWarning2( int num )
{
	Current->Size[1] = num;
	Saved->Size[1] = num;
	if ( num == 0 )
	{
     	R->Window2->hide();
		if ( Window2CheckBox->isChecked() )
		{
			Window2CheckBox->toggle();
		}
	}
	else
	{
     	R->Window2->show();
		R->Window2->raise();
		if ( !Window2CheckBox->isChecked() )
		{
			Window2CheckBox->toggle();
		}
	}	
}

void settings::ToggleWarning3( int num )
{
	Current->Size[2] = num;
	Saved->Size[2] = num;
	if ( num == 0 )
	{
     	R->Window3->hide();
		if ( Window3CheckBox->isChecked() )
		{
			Window3CheckBox->toggle();
		}
	}
	else
	{
     	R->Window3->show();
		R->Window3->raise();
		if ( !Window3CheckBox->isChecked() )
		{
			Window3CheckBox->toggle();
		}
	}	
}

void settings::ToggleWarning4( int num )
{
	Current->Size[3] = num;
	Saved->Size[3] = num;
	if ( num == 0 )
	{
     	R->Window4->hide();
		if ( Window4CheckBox->isChecked() )
		{
			Window4CheckBox->toggle();
		}
	}
	else
	{
     	R->Window4->show();
		R->Window4->raise();
		if ( !Window4CheckBox->isChecked() )
		{
			Window4CheckBox->toggle();
		}
	}	
}

//METRO WINDOWS
void settings::ToggleMetro1( int num )
{
	Current->Size[4] = num;
	Saved->Size[4] = num;
	if ( num == 0 )
	{
     	R->Metro1->hide();
		if ( Metro1CheckBox->isChecked() )
		{
			Metro1CheckBox->toggle();
		}
	}
	else
	{
     	R->Metro1->show();
		R->Metro1->raise();
		if ( !Metro1CheckBox->isChecked() )
		{
			Metro1CheckBox->toggle();
		}
	}	
}

void settings::ToggleMetro2( int num )
{
	Current->Size[5] = num;
	Saved->Size[5] = num;
	if ( num == 0 )
	{
     	R->Metro2->hide();
		if ( Metro2CheckBox->isChecked() )
		{
			Metro2CheckBox->toggle();
		}
	}
	else
	{
     	R->Metro2->show();
		R->Metro2->raise();
		if ( !Metro2CheckBox->isChecked() )
		{
			Metro2CheckBox->toggle();
		}
	}	
}

void settings::ToggleMetro3( int num )
{
	Current->Size[6] = num;
	Saved->Size[6] = num;
	if ( num == 0 )
	{
     	R->Metro3->hide();
		if ( Metro3CheckBox->isChecked() )
		{
			Metro3CheckBox->toggle();
		}
	}
	else
	{
     	R->Metro3->show();
		R->Metro3->raise();
		if ( !Metro3CheckBox->isChecked() )
		{
			Metro3CheckBox->toggle();
		}
	}	
}

void settings::ToggleMetro4( int num )
{
	Current->Size[7] = num;
	Saved->Size[7] = num;
	if ( num == 0 )
	{
     	R->Metro4->hide();
		if ( Metro4CheckBox->isChecked() )
		{
			Metro4CheckBox->toggle();
		}
	}
	else
	{
     	R->Metro4->show();
		R->Metro4->raise();
		if ( !Metro4CheckBox->isChecked() )
		{
			Metro4CheckBox->toggle();
		}
	}	
}

//LEDW TOGGLE
void settings::ToggleLEDw( int num )
{
	Current->Size[8] = num;
	Saved->Size[8] = num;
	if ( num == 0 )
	{
     	R->LEDw->hide();
		if ( LEDWindowCheckBox->isChecked() )
		{
		 	LEDWindowCheckBox->toggle();
		}
	}
	else
	{
     	R->LEDw->show();
		R->LEDw->raise();
		if ( !LEDWindowCheckBox->isChecked() )
		{
		 	LEDWindowCheckBox->toggle();
		}
	}
}

//External timer
void settings::ToggleTimer( int n )
{
	Current->Size[10] = n;
	Saved->Size[10] = n;
 	if ( !n )
	{
     	R->E->hide();
		if ( ExternTimerCheckBox->isChecked() )
		{
         	ExternTimerCheckBox->toggle();
		}
	}
	else
	{
 		R->E->show();
		R->E->raise();
		if ( !ExternTimerCheckBox->isChecked() )
		{
         	ExternTimerCheckBox->toggle();
		}
	}
}

//Absolute Timer
void settings::ToggleAbsTimer( int n )
{
	Current->Size[11] = n;
	Saved->Size[11] = n;
 	if ( !n )
	{
     	R->A->hide();
		if ( ExternAbsTimerCheckBox->isChecked() )
		{
         	ExternAbsTimerCheckBox->toggle();
		}
	}
	else
	{
 		R->A->show();
		R->A->raise();
		if ( !ExternAbsTimerCheckBox->isChecked() )
		{
         	ExternAbsTimerCheckBox->toggle();
		}
	}
}

void settings::UpdateExternalEditor( const QString &s )
{
    Current->Editor = s;
    ApplyButton->setEnabled( TRUE );
}

void settings::ApplyNetAuth( const QString &s )
{
    Current->NetAuth = s;
    ApplyButton->setEnabled( TRUE );
}

void settings::ApplyFilter()
{
    QString s;
    s = Filter->text().simplifyWhiteSpace();
    //Filter->setText( s );
    Current->EventFilter = s;
    ApplyButton->setEnabled( TRUE );
}

void settings::AdjustShortcut( int n )
{
    CurrentShortcut->setText( Current->Accel[n] );
    if ( NewShortcutLineEdit->text() != Current->Accel[n] )
    {
        NewShortcutLineEdit->setText( Current->Accel[n] );
    }
}

void settings::ApplyShortcut()
{
    if ( NewShortcutLineEdit->text() != "" && NewShortcutLineEdit->text() != CurrentShortcut->text() )
    {
        Current->Accel[ ShortcutComboBox->currentItem() ] = NewShortcutLineEdit->text();
        AdjustShortcut( ShortcutComboBox->currentItem() );
        ApplyButton->setEnabled( TRUE );
    }
}

void settings::DefaultShortcut()
{
    Current->Accel[ ShortcutComboBox->currentItem() ] = Default->Accel[ ShortcutComboBox->currentItem() ];
    AdjustShortcut( ShortcutComboBox->currentItem() );
    NewShortcutLineEdit->setText("");
    ApplyButton->setEnabled( TRUE );
}


void settings::setWinSize( int val )
{
    Current->Size[9] = val;
    Saved->Size[9] = val;
    if ( val == 0 )
    {
        FullSizeMainRadio->setChecked( 1 );
    }
    else
    {
        CompactMainRadio->setChecked( 1 );
    }
}

void settings::CloseAll()
{
    int n;

    for ( n = 0; n < 12; n++ )
    {
        if ( n != 9 )
        {
            Current->Size[n] = 0;
            Saved->Size[n] = 0;
        }
    }
    Window1CheckBox->setChecked( Current->Size[0] );
    Window2CheckBox->setChecked( Current->Size[1] );
    Window3CheckBox->setChecked( Current->Size[2] );
    Window4CheckBox->setChecked( Current->Size[3] );
    Metro1CheckBox->setChecked( Current->Size[4] );
    Metro2CheckBox->setChecked( Current->Size[5] );
    Metro3CheckBox->setChecked( Current->Size[6] );
    Metro4CheckBox->setChecked( Current->Size[7] );
    LEDWindowCheckBox->setChecked( Current->Size[8] );
    ToggleTimer( Current->Size[10] );
    ToggleAbsTimer ( Current->Size[11] );
}

#endif

